﻿using Exam.ExamManages;
using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Web.Utilities;
using Exam.Questions;
using Exam.TestPapers;
using Hotline.Share.Requests.Exam;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Exam.QueryExtensions.ExamManages
{
    public static class ExamQuestionQueryExtensions
    {

        public static Expression<Func<ExamManage,bool>> GetExpression(this ExamQuestionGroupRequest examQuestionGroupRequest)
        {
            Expression<Func<ExamManage, bool>> expression = m => m.Id != null;

            expression = ExpressionableUtility.CreateExpression<ExamManage>()
                .AndIF(examQuestionGroupRequest.ExamId.IsNotNullOrEmpty(), x => x.Id == examQuestionGroupRequest.ExamId).ToExpression();

            return expression;
        }

        public static Expression<Func<ExamQuestion, bool>> GetExpression(this ExamQuestionRequest examQuestionRequest)
        {
            Expression<Func<ExamQuestion, bool>> expression = m => m.Id != null;

            expression = ExpressionableUtility.CreateExpression<ExamQuestion>()
                .AndIF(examQuestionRequest.QuestionId.IsNotNullOrEmpty(), x => x.QuestionId == examQuestionRequest.QuestionId).ToExpression();

            return expression;
        }
    }
}
