﻿using Exam.Infrastructure.Web.Utilities;
using Exam.Questions;
using Hotline.Application.Exam.Extensions;
using Hotline.Share.Requests.Exam;
using JiebaNet.Segmenter.Common;
using System.Linq.Expressions;

namespace Hotline.Application.Exam.QueryExtensions.ExamManages
{
    public static class TagQuestionQueryExtensions
    {
        public static Expression<Func<QuestionTag, bool>> GetExpression(this TagQuestionRequest tagQuestionRequest)
        {
            Expression<Func<QuestionTag, bool>> expression = m => m.Id != null;

            expression = ExpressionableUtility.CreateExpression<QuestionTag>()
                .AndIF(tagQuestionRequest.TagIds.IsNotNullOrEmpty(), x => tagQuestionRequest.TagIds.Contains(x.TagId)).ToExpression();

            return expression;
        }
    }
}
