﻿using Exam.Infrastructure.Web.Utilities;
using Exam.Practices;
using Hotline.Share.Requests.Exam;
using JiebaNet.Segmenter.Common;
using System.Linq.Expressions;

namespace Hotline.Application.Exam.QueryExtensions.Practices
{
    public static class PracticeQueryExtensions
    {
        public static Expression<Func<Practice,bool>> GetExpression(this PracticePagedRequest practicePagedRequest)
        {
            Expression<Func<Practice, bool>> expression = m => m.Id != null;

            expression = ExpressionableUtility.CreateExpression<Practice>()
                .ToExpression();

            return expression;
        }

        public static Expression<Func<PracticeQuestion,bool>> GetExpression(this PracticeQuestionGroupRequest practiceQuestionGroupRequest)
        {
            Expression<Func<PracticeQuestion, bool>> expression = m => m.Id != null;

            expression = ExpressionableUtility.CreateExpression<PracticeQuestion>()
                .AndIF(practiceQuestionGroupRequest.PracticeId.IsNotNull(),x=>x.PracticeId == practiceQuestionGroupRequest.PracticeId)
                .ToExpression();

            return expression;
        }

        public static Expression<Func<PracticeQuestion,bool>> GetExpression(this PracticeQuestionRequest practiceQuestionRequest)
        {
            Expression<Func<PracticeQuestion, bool>> expression = m => m.Id != null;

            expression = ExpressionableUtility.CreateExpression<PracticeQuestion>()
                .AndIF(practiceQuestionRequest.PracticeQuestionId.IsNotNull(), x => x.Id == practiceQuestionRequest.PracticeQuestionId)
                .ToExpression();

            return expression;
        }
    }
}
