using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Web.Utilities;
using Hotline.Exams.Sourcewares;
using Hotline.Share.Requests.Sourceware;
using SqlSugar;
using System.Linq.Expressions;

namespace Exam.Application.QueryExtensions.Sourcewares
{
    public static class SourcewareQueryExtesions
    {
        public static Expression<Func<Sourceware, bool>> GetExpression(this SourcewarePagedRequest sourcewarePagedRequest)
        {
            Expression<Func<Sourceware, bool>> expression = m => m.Id != null;


            expression = ExpressionableUtility.CreateExpression<Sourceware>().AndIF(sourcewarePagedRequest.Name.IsNotNullOrEmpty(), m => m.Name.Contains(sourcewarePagedRequest.Name))
           .AndIF(sourcewarePagedRequest.SourcewareType.IsNotNullOrEmpty(), m => m.SourcewareType == sourcewarePagedRequest.SourcewareType)
           .AndIF(sourcewarePagedRequest.SourcewareCategoryId.IsNotNullOrEmpty(), m => m.CategoryId == sourcewarePagedRequest.SourcewareCategoryId)
           .ToExpression();

            return expression;
        }

    }
}



