﻿using Hotline.Early;
using Hotline.Orders.Notifications;
using MediatR;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Application.OrderApp.Handlers.OrderHandler
{
    public class OrderEarlyWarningNotifyHandler : INotificationHandler<OrderEarlyWarningNotify>
    {
        private readonly IRepository<EarlyWarningOrder> _orderEarlyWarningRepository;

        public OrderEarlyWarningNotifyHandler(IRepository<EarlyWarningOrder> orderEarlyWarningRepository)
        {
            _orderEarlyWarningRepository = orderEarlyWarningRepository;
        }


        public async Task Handle(OrderEarlyWarningNotify notification, CancellationToken cancellationToken)
        {
            var settiingList = notification.settingList;
            var order = notification.order;
            var now = DateTime.Now;
            foreach (var item in settiingList)
            {
                switch (item.Frequency)
                {
                    //每日
                    case Share.Enums.Early.EFrequency.Day:
                        _orderEarlyWarningRepository.Queryable().Where(x => x.StartTime<= now && x.EndTime>= now && x.EarlyWarningSettingId == item.Id);
                        break;
                    //每周
                    case Share.Enums.Early.EFrequency.Week:
                        break;
                    //每月
                    case Share.Enums.Early.EFrequency.Month:
                        break;
                    //每年
                    case Share.Enums.Early.EFrequency.Year:
                        break;
                    default:
                        break;
                }
            }

            throw new NotImplementedException();
        }
    }
}
