using Exam.ExamManages;
using Exam.Repository.Sqlsugar.Repositories;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages;
using Hotline.Repository.SqlSugar.Exam.Validators.ExamManages;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Exam.Repositories.ExamManages
{
    /// <summary>
    /// 考试答案仓储
    /// </summary>
    [Description("考试答案仓储")]
    public class ExamAnswerRepository : ExamRepository<ExamAnswer>, IExamAnswerRepository,IScopeDependency
    {
        public ExamAnswerRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new ExamAnswerValidator();
        }
    }
}

