﻿using Exam.Repository.Sqlsugar.Repositories;
using Exam.TestPapers;
using Hotline.Exams.ExamManages;
using Hotline.Exams.TestPapers;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages;
using Hotline.Repository.SqlSugar.Exam.Interfaces.TestPapers;
using Hotline.Repository.SqlSugar.Exam.Validators.ExamManages;
using Hotline.Repository.SqlSugar.Exam.Validators.TestPapers;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Exam.Repositories.ExamManages
{
    public class ExamQuestionAnswerRepository : ExamRepository<ExamQuestionAnswer>, IExamQuestionAnswerRepository, IScopeDependency
    {
        public ExamQuestionAnswerRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new ExamQuestionAnswerValidator();
        }
    }
}
