﻿using Exam.Repository.Sqlsugar.Repositories;
using Hotline.Exams.ExamManages;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages;
using Hotline.Repository.SqlSugar.Exam.Validators.ExamManages;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Exam.Repositories.Exams
{
    public class ExamQuestionOptionsRepository : ExamRepository<ExamQuestionOptions>, IExamQuestionOptionsRepository, IScopeDependency
    {
        public ExamQuestionOptionsRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new ExamQuestionOptionsValidator();
        }
    }
}
