using Exam.ExamManages;
using Exam.Repository.Sqlsugar.Repositories;
using Exam.Repository.Sqlsugar.Validators.ExamManages;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar
{
    /// <summary>
    /// 题型分数仓储
    /// </summary>
    [Description("题型分数仓储")]
    public class ExamQuestionScoreRepository : ExamRepository<ExamQuestionScore>, IExamQuestionScoreRepository,IScopeDependency
    {
        public ExamQuestionScoreRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new ExamQuestionScoreValidator();
        }
    }
}

