using Exam.ExamManages;
using Exam.Repository.Sqlsugar.Validators.ExamManages;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.ExamManages
{
    /// <summary>
    /// 规则标签仓储
    /// </summary>
    [Description("规则标签仓储")]
    public class RuleTagRepository : ExamRepository<RuleTag>, IRuleTagRepository,IScopeDependency
    {
        public RuleTagRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new RuleTagValidator();
        }
    }
}

