using Exam.ExamManages;
using Exam.Repository.Sqlsugar.Validators.ExamManages;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.ExamManages;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.ExamManages
{
    /// <summary>
    /// 用户考试仓储
    /// </summary>
    [Description("用户考试仓储")]
    public class UserExamRepository : ExamRepository<UserExam>, IUserExamRepository,IScopeDependency
    {
        public UserExamRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new UserExamValidator(this);
        }
    }
}

