using Exam.Practices;
using Exam.Repository.Sqlsugar.Validators.Practices;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Practices;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.Practices
{
    /// <summary>
    /// 练习记录仓储
    /// </summary>
    [Description("练习记录仓储")]
    public class PracticeRecordRepository : ExamRepository<PracticeRecord>, IPracticeRecordRepository,IScopeDependency
    {
        public PracticeRecordRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new PracticeRecordValidator();
        }
    }
}

