using Exam.Practices;
using Exam.Repository.Sqlsugar.Validators.Practices;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Practices;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.Practices
{
    /// <summary>
    /// 练习仓储
    /// </summary>
    [Description("练习仓储")]
    public class PracticeRepository : ExamRepository<Practice>, IPracticeRepository,IScopeDependency
    {
        public PracticeRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new PracticeValidator();
        }
    }
}

