using Exam.Questions;
using Exam.Repository.Sqlsugar.Repositories;
using Exam.Repository.Sqlsugar.Validators.Questions;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Questions;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar
{
    /// <summary>
    /// 试题参考答案仓储
    /// </summary>
    [Description("试题参考答案仓储")]
    public class QuestionAnswerRepository : ExamRepository<QuestionAnswer>, IQuestionAnswerRepository,IScopeDependency
    {
        public QuestionAnswerRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new QuestionAnswerValidator();
        }
    }
}

