using Exam.Questions;
using Exam.Repository.Sqlsugar.Repositories;
using Exam.Repository.Sqlsugar.Validators.Questions;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Questions;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar
{
    /// <summary>
    /// 试题标签仓储
    /// </summary>
    [Description("试题标签仓储")]
    public class QuestionTagRepository : ExamRepository<QuestionTag>, IQuestionTagRepository,IScopeDependency
    {
        public QuestionTagRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new QuestionTagValidator();
        }
    }
}

