using Exam.ExamManages;
using Exam.Repository.Sqlsugar.Validators.Questions;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Questions;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.Questions
{
    /// <summary>
    /// 标签试题数仓储
    /// </summary>
    [Description("标签试题数仓储")]
    public class TagQuestionRepository : ExamRepository<TagQuestion>, ITagQuestionRepository,IScopeDependency
    {
        public TagQuestionRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new TagQuestionValidator();
        }
    }
}

