using Exam.Questions;
using Exam.Repository.Sqlsugar.Repositories;
using Exam.Repository.Sqlsugar.Validators.Questions;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Questions;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar
{
    /// <summary>
    /// 关联知识仓储
    /// </summary>
    [Description("关联知识仓储")]
    public class TestPaperItemKnowladgeRepository : ExamRepository<TestPaperItemKnowladge>, ITestPaperItemKnowladgeRepository, IScopeDependency
    {
        public TestPaperItemKnowladgeRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new TestPaperItemKnowladgeValidator();
        }
    }
}

