using Exam.Repository.Sqlsugar.Validators.Trains;
using Exam.Trains;
using Hotline.Repository.SqlSugar;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Repository.SqlSugar.Exam.Interfaces.Trains;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Dependency;

namespace Exam.Repository.Sqlsugar.Repositories.Trains
{
    /// <summary>
    /// 培训计划仓储
    /// </summary>
    [Description("培训计划仓储")]
    public class TrainPlanRepository : ExamRepository<TrainPlan>, ITrainPlanRepository,IScopeDependency
    {
        public TrainPlanRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
        {
            Validator = new TrainPlanValidator(this);
        }
    }
}

