﻿using Exam.Infrastructure.Data.Entity;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.Dtos.ExamManages
{
    /// <summary>
    /// 考试试题
    /// </summary>
    [Description("考试试题")]
    public class ExamQuestionDto : ActionRequest
    {
        /// <summary>
        /// 题干
        /// </summary>
        [Description("题干")]
        public string Title { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [Description("题型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 分数
        /// </summary>
        [Description("分数")]
        public int Score { get; set; }

        /// <summary>
        /// 考试选项
        /// </summary>
        [Description("考试选项")]
        public List<ExamQuestionOptionsDto> QuestionOptions {get;set;}
    }
}
