﻿using Exam.Questions;
using Hotline.Exams.Base;
using Hotline.Exams.ExamManages;
using Hotline.Share.Enums.Exams;
using SqlSugar;
using System.ComponentModel;

namespace Exam.ExamManages
{
    /// <summary>
    /// 考试题目
    /// </summary>
    [Description("考试题目")]
    public class ExamQuestion : BusinessEntity
    {
        /// <summary>
        /// 练习Id
        /// </summary>
        [SugarColumn(ColumnDescription ="考试Id")]
        [Description("考试Id")]
        public string ExamId { get; set; }

        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 题干
        /// </summary>
        [SugarColumn(ColumnDescription = "题干")]
        [Description("题干")]
        public string Title { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [SugarColumn(ColumnDescription = "题型")]
        [Description("题型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 难易程度
        /// </summary>
        [SugarColumn(ColumnDescription = "难易程度")]
        [Description("难易程度")]
        public EDifficultyLevel DifficultyLevel { get; set; }


        [Navigate(NavigateType.OneToMany, nameof(ExamQuestionOptions.ExamQuestionId))]
        public List<ExamQuestionOptions> ExamQuestionOptionses { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamQuestionSourceware.ExamQuestionId))]
        public List<ExamQuestionSourceware> ExamQuestionSourcewares { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamQuestionKnowladge.ExamQuestionId))]
        public List<ExamQuestionKnowladge> ExamQuestionKnowladges { get; set; }

        [Navigate(NavigateType.OneToMany, nameof(ExamQuestionKnowladge.ExamQuestionId))]
        public List<ExamQuestionAnswer> ExamQuestionAnswers { get; set; }
    }
}
