﻿using System.ComponentModel;
using Hotline.Exams.Base;
using Hotline.Exams.Trains;
using SqlSugar;

namespace Exam.Trains
{
    /// <summary>
    /// 培训计划
    /// </summary>
    [Description("培训计划")]
    public class TrainPlan:BusinessEntity
    {
        /// <summary>
        /// 培训编码
        /// </summary>
        [SugarColumn(ColumnDescription ="培训编码")]
        [Description("培训编码")]
        public string Code { get; set; }

        /// <summary>
        /// 培训标题
        /// </summary>
        [SugarColumn(ColumnDescription = "培训标题")]
        [Description("培训标题")]
        public string Name { get; set; }

        /// <summary>
        /// 培训开始时间
        /// </summary>
        [SugarColumn(ColumnDescription = "培训开始时间")]
        [Description("培训开始时间")]
        public DateTime TrainStartTime { get; set; }

        /// <summary>
        /// 培训结束时间
        /// </summary>
        [SugarColumn(ColumnDescription = "培训结束时间")]
        [Description("培训结束时间")]
        public DateTime TrainEndTime { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(TrainPlanTemplate.TrainPlanId))]
        public List<TrainPlanTemplate> TrainPlanTemplates { get; set; }

        [Navigate(NavigateType.OneToMany, nameof(TrainRecord.TrainPlanId))]
        public List<TrainRecord> TrainRecords { get; set; }
    }
}
