﻿using System.ComponentModel;
using Exam.Questions;
using Hotline.Exams.Base;
using Hotline.Exams.Trains;
using Hotline.Share.Enums.Exams;
using SqlSugar;

namespace Exam.Trains
{
    /// <summary>
    /// 培训习题
    /// </summary>
    [Description("培训习题")]
    public class TrainPractice:BusinessEntity
    {
        /// <summary>
        /// 培训模版Id
        /// </summary>
        [SugarColumn(ColumnDescription ="培训模版Id")]
        [Description("培训模版Id")]
        public string TrainTemplateId { get; set; }

        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 题干
        /// </summary>
        [SugarColumn(ColumnDescription = "题干")]
        [Description("题干")]
        public string Title { get; set; }

        /// <summary>
        /// 题型
        /// </summary>
        [SugarColumn(ColumnDescription = "题型")]
        [Description("题型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 难易程度
        /// </summary>
        [SugarColumn(ColumnDescription = "难易程度")]
        [Description("难易程度")]
        public EDifficultyLevel DifficultyLevel { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(TrainPracticeOptions.TrainPracticeId))]
        public List<TrainPracticeOptions> TrainPracticeOptionses { get; set; }

        [Navigate(NavigateType.OneToMany, nameof(TrainPracticeKnowladge.TrainPracticeId))]
        public List<TrainPracticeKnowladge> TrainPracticeKnowladges { get; set; }

        [Navigate(NavigateType.OneToMany, nameof(TrainPracticeSourceware.TrainPracticeId))]
        public List<TrainPracticeSourceware> TrainPracticeSourcewares { get; set; }
    }
}
