﻿using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Exam.Trains
{
    /// <summary>
    /// 培训模版
    /// </summary>
    [Description("培训模版")]
    public class TrainTemplate:BusinessEntity
    {
        /// <summary>
        /// 模版标题
        /// </summary>
        [SugarColumn(ColumnDescription = "模版标题")]
        [Description("模版标题")]
        public string Name { get; set; }

        /// <summary>
        /// 模版编码
        /// </summary>
        [SugarColumn(ColumnDescription = "模版编码")]
        [Description("模版编码")]
        public string Code { get; set; }

        /// <summary>
        /// 是否包含习题
        /// </summary>
        [SugarColumn(ColumnDescription = "模版标题")]
        [Description("模版标题")]
        public bool IsContainsPractice { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(TrainKnowladge.TrainTemplateId))]
        public List<TrainKnowladge> TrainKnowladges { get; set; }

        [Navigate(NavigateType.OneToMany, nameof(TrainPractice.TrainTemplateId))]
        public List<TrainPractice> TrainPractices { get; set; }
    }
}
