﻿using Exam.ExamManages;
using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using FluentValidation;
using Hotline.Share.Dtos.TestPapers;

namespace Hotline.Validators.Exams.ExamManages
{
    public class AddTagQuestionDtoValidator : AbstractValidator<AddTagQuestionDto>
    {
        public AddTagQuestionDtoValidator()
        {
            RuleFor(m => m.QuestionType).NotEmpty().WithMessage(x=>string.Format(ErrorMessage.IsRequired,x.GetType().GetDescription(nameof(TagQuestion.QuestionType))));
            RuleFor(m=>m.Count).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TagQuestion.Count))));
            RuleFor(m => m.TagId).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, typeof(ExamTag).GetDescription()));
        }
    }
}