﻿using Exam.ExamManages;
using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using FluentValidation;
using FluentValidation.Validators;
using Hotline.Share.Dtos.TestPapers;

namespace Hotline.Validators.Exams.ExamManages
{
    public class UpdateTagQuestionDtoValidator : AbstractValidator<UpdateTagQuestionDto>
    {
        public UpdateTagQuestionDtoValidator()
        {
            RuleFor(m => m.Id).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TagQuestion.Id))));
            RuleFor(m => m.QuestionType).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TagQuestion.QuestionType))));
            RuleFor(m => m.Count).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TagQuestion.Count))));
            RuleFor(m => m.TagId).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, typeof(ExamTag).GetDescription()));
        }
    }
}