﻿using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using Exam.Questions;
using FluentValidation;
using Hotline.Share.Dtos.Questions;

namespace Hotline.Validators.Exams
{
    public class AddQuestionDtoValidator:AbstractValidator<AddQuestionDto>
    {
        public AddQuestionDtoValidator()
        {
            RuleFor(m => m.Title).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(Question.Title))));
            RuleFor(m => m.DifficultyLevel).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(Question.DifficultyLevel))));
            RuleFor(m => m.FormalEnable).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(Question.FormalEnable))));
            RuleFor(m => m.SimulateEnable).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(Question.SimulateEnable))));

            RuleForEach(m => m.QuestionSourcewareDtos).SetValidator(new AddQuestionSourcewareDtoValidator());

            RuleForEach(m => m.QuestionKnowladgeDtos).SetValidator(new AddQuestionKnowladgeDtoValidator());

            RuleForEach(m => m.QuestionTagDtos).SetValidator(new AddQuestionTagDtoValidator());

            RuleForEach(m => m.QuestionOptionsDtos).SetValidator(new AddQuestionOptionsDtoValidator());
        
        }
    }
}
