﻿using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using Exam.Questions;
using FluentValidation;
using Hotline.Share.Dtos.Questions;

namespace Hotline.Validators.Exams
{
    public class UpdateQuestionOptionsDtoValidator:AbstractValidator<UpdateQuestionOptionsDto>
    {
        public UpdateQuestionOptionsDtoValidator()
        {
            RuleFor(m => m.Content).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(QuestionOptions.Content))));
            RuleFor(m => m.QuestionId).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, typeof(Question).GetDescription()));

            RuleFor(m => m.Id).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(QuestionOptions.Id))));
        }
    }
}
