﻿using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using Exam.Questions;
using FluentValidation;
using Hotline.Exams.Sourcewares;
using Hotline.Share.Dtos.Questions;

namespace Hotline.Validators.Exams.Questions
{
    public class UpdateQuestionSourcewareDtoValidator:AbstractValidator<UpdateQuestionSourcewareDto>
    {
        public UpdateQuestionSourcewareDtoValidator()
        {
            RuleFor(m => m.SourcewareId).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, typeof(Sourceware).GetDescription()));
            RuleFor(m => m.QuestionId).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, typeof(Question).GetDescription()));
            RuleFor(m => m.Id).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(PracticeQuestionSourceware.Id))));
        }
    }
}
