﻿using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using FluentValidation;
using Hotline.Exams.Sourcewares;
using Hotline.Share.Dtos.Sourcewares;

namespace Hotline.Validators.Exams
{
    public class UpdateSourcewareDtoValidator:AbstractValidator<UpdateSourcewareDto>
    {
        public UpdateSourcewareDtoValidator()
        {
            RuleFor(m => m.Id).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(Sourceware.Id))));
            RuleFor(m => m.Name).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(Sourceware.Name))));
            RuleFor(m => m.CategoryId).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, typeof(SourcewareCategory).GetDescription()));   
        }
    }
}
