﻿using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using Exam.TestPapers;
using FluentValidation;
using Hotline.Share.Dtos.TestPapers;

namespace Hotline.Validators.Exams.TestPapers
{
    public class UpdateTestPaperDtoValidator:AbstractValidator<UpdateTestPaperDto>
    {
        public UpdateTestPaperDtoValidator()
        {
            RuleFor(m => m.Name).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TestPaper.Name))));
            RuleFor(m => m.Code).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TestPaper.Code))));
            RuleFor(m => m.ExamType).NotNull().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TestPaper.ExamType))));
            RuleFor(m => m.Mode).NotNull().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TestPaper.Mode))));

            RuleForEach(m => m.TestPaperItemDtos).SetValidator(new UpdateTestPaperItemDtoValidator());

            RuleForEach(m => m.TestPaperRuleDtos).SetValidator(new UpdateTestPaperRuleDtoValidator());
        }
    }
}
