﻿using Exam.Infrastructure.Extensions;
using Exam.Infrastructure.Validation.Validation;
using Exam.Questions;
using Exam.TestPapers;
using FluentValidation;
using FluentValidation.Validators;
using Hotline.Share.Dtos.TestPapers;

namespace Hotline.Validators.Exams.TestPapers
{
    public class UpdateTestPaperItemDtoValidator : AbstractValidator<UpdateTestPaperItemDto>
    {
        public UpdateTestPaperItemDtoValidator()
        {
            RuleFor(m => m.QuestionId).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, typeof(Question).GetDescription()));

            RuleFor(m => m.Id).NotEmpty().WithMessage(x => string.Format(ErrorMessage.IsRequired, x.GetType().GetDescription(nameof(TestPaperItem.Id))));
        }
    }
}